"use client"

import { useState } from "react"
import { Button } from "@/components/ui/button"
import { buyTokens } from "../utils/contractInteraction"

export function BuyTokens() {
  const [isBuying, setIsBuying] = useState(false)

  const handleBuy = async () => {
    setIsBuying(true)

    try {
      // Using a fixed amount or you can modify this to use a different approach
      const result = await buyTokens("0.1") // Default to 0.1 ETH or whatever amount you prefer
      if (result.success) {
        alert("Tokens purchased successfully!")
      } else {
        alert(result.error || "Failed to buy tokens")
      }
    } catch (err) {
      console.error("Buy error:", err)
      alert("An unexpected error occurred")
    } finally {
      setIsBuying(false)
    }
  }

  return (
    <Button
      size="lg"
      onClick={handleBuy}
      disabled={isBuying}
      className="bg-blue-500 text-white hover:bg-blue-600 transition-all duration-300 transform hover:scale-105 text-sm md:text-base font-montserrat tracking-wide"
    >
      {isBuying ? "Buying..." : "Buy The One Token Now"}
    </Button>
  )
}

